Loading...
Searching...
No Matches
OgreGpuProgram.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreGpuProgramParams.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreVector.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::GpuProgram
| Defines a program which runs on the GPU such as a vertex or fragment program. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | { Ogre::GPT_COUNT = GPT_TASK_PROGRAM + 1 , Ogre::GPT_PIPELINE_COUNT = GPT_HULL_PROGRAM + 1 }
enum | Ogre::GpuProgramType : uint8 { Ogre::GPT_VERTEX_PROGRAM = 0 , Ogre::GPT_FRAGMENT_PROGRAM , Ogre::GPT_GEOMETRY_PROGRAM , Ogre::GPT_DOMAIN_PROGRAM , Ogre::GPT_HULL_PROGRAM , Ogre::GPT_MESH_PROGRAM , Ogre::GPT_COMPUTE_PROGRAM , Ogre::GPT_TASK_PROGRAM }
| Enumerates the types of programs which can run on the GPU. More...

## Functions

String | Ogre::to_string (const GpuProgramType &v)